உள்ளடக்கத்திற்குச் செல்க

Kotoba Text-to-Speech

ஒருங்கிணை

மாடல் id kotoba-technologies/kotoba-tts/v2/tts/ws
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: $0.003 3 API கிரெடிட்கள் · ≈ ₽0.32 இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Kotoba Technologies உரையிலிருந்து பேச்சிற்கு #commercial-use#text-to-speech#japanese#streaming

உருவாக்கப்படும் போதே ஸ்ட்ரீம் செய்யப்படும் ஜப்பானிய உரை-பேச்சு; இரண்டு குரல்கள் மற்றும் WAV வெளியீட்டுடன்

Kotoba Technologies · ஆடியோ

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை 50 / 400

ஜப்பானிய பேச்சு உள்ளீட்டு உரை; 400 எழுத்துகளுக்கு வரையறுக்கப்பட்டது.

language •தேவை

உரையில் பயன்படுத்தப்படும் மொழி.

speaker_id •தேவை

குரல் தேர்வு.

POST /run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20 விலை → $0.003
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Kotoba Text-to-Speech பற்றி

அதிகபட்சம் 400 எழுத்துகள் கொண்ட ஜப்பானிய `text` ஐப் பேசுகிறது; `language` ja ஆக நிலையானது. `speaker_id` மூலம் male-01 அல்லது female-01 குரலைத் தேர்ந்தெடுக்கவும். வெளியீடு 24 kHz mono, 16-bit WAV கோப்பாகவும், வினாடிகளில் கால அளவு மற்றும் தொகுக்கப்பட்ட உரையுடனும் கிடைக்கும். உருவாக்கப்படும் போதே ஆடியோ ஸ்ட்ரீம் செய்யப்படுகிறது.

அளவுருக்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
textதேவை
வகைstring
≤ 400 எழுத்துகள்
ஜப்பானிய பேச்சு உள்ளீட்டு உரை; 400 எழுத்துகளுக்கு வரையறுக்கப்பட்டது.
languageதேவை
வகைenum
ja
உரையில் பயன்படுத்தப்படும் மொழி.
speaker_idதேவை
வகைenum
male-01female-01
குரல் தேர்வு.
தேவை

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-tts/v2/tts/ws",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  },
  "output": {
    "audio": {
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3"
    },
    "audio_duration_secs": 1.0,
    "text": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
audio
object {content_type, file_name, file_size, url}24 kHz, 16-bit ஆழம் கொண்ட mono ஆடியோவுடன் WAV வடிவிலான தொகுக்கப்பட்ட பேச்சுக் கோப்பிற்கான இணைப்பு.
audio_duration_secs
numberதொகுக்கப்பட்ட ஆடியோவின் கால அளவு, வினாடிகளில்.
text
stringபேச்சைத் தொகுக்கப் பயன்படுத்தப்படும் உரை.

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/kotoba-technologies/kotoba-tts/v2/tts/ws.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt